package com.hotent.portal.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;
/**
 * 
 *
 * @company 广州宏天软件股份有限公司
 * @author cola
 * @since 2021-08-31
 */
@ApiModel(value="PortalMsgSendLog对象", description="")
@TableName(value = "portal_msg_send_log")
public class PortalMsgSendLog extends BaseModel<PortalMsgSendLog> {

    private static final long serialVersionUID = 1L;
    @TableId(value = "ID_")
    private String id;
    
    @ApiModelProperty(value = "系统编码")
    @TableField(value = "SYS_CODE_")
    private String sysCode;
    
    @ApiModelProperty(value = "触发流程KEY")
    @TableField("FLOW_KEY_")
    private String flowKey;
    
    @ApiModelProperty(value = "流程动作类型")
    @TableField("ACTION_TYPE_")
    private String actionType;
    
    @ApiModelProperty(value = "触发节点")
    @TableField("TRIG_NODE_ID_")
    private String trigNodeId;
    
    @ApiModelProperty(value = "触发用户")
    @TableField("TRIG_USER_ID_")
    private String trigUserId;
    
    @ApiModelProperty(value = "发送时间")
    @TableField("SEND_TIME")
    private LocalDateTime sendTime;
    
    @ApiModelProperty(value = "消息标题")
    @TableField("TITLE_")
    private String title;
    
    @ApiModelProperty(value = "MQ文本内容")
    @TableField("CONTENT_")
    private String content;
    
    @ApiModelProperty(value = "0失败，1成功")
    @TableField("STATUS_")
    private String status;
    

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getSysCode() {
        return sysCode;
    }

    public void setSysCode(String sysCode) {
        this.sysCode = sysCode;
    }
    public String getFlowKey() {
        return flowKey;
    }

    public void setFlowKey(String flowKey) {
        this.flowKey = flowKey;
    }
    public String getActionType() {
        return actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }
    public String getTrigNodeId() {
        return trigNodeId;
    }

    public void setTrigNodeId(String trigNodeId) {
        this.trigNodeId = trigNodeId;
    }
    public String getTrigUserId() {
        return trigUserId;
    }

    public void setTrigUserId(String trigUserId) {
        this.trigUserId = trigUserId;
    }
    public LocalDateTime getSendTime() {
        return sendTime;
    }

    public void setSendTime(LocalDateTime sendTime) {
        this.sendTime = sendTime;
    }
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }


    @Override
    protected Serializable pkVal() {
        return null;
    }

    @Override
    public String toString() {
        return "PortalMsgSendLog{" +
            "id=" + id +
            ", sysCode=" + sysCode +
            ", flowKey=" + flowKey +
            ", actionType=" + actionType +
            ", trigNodeId=" + trigNodeId +
            ", trigUserId=" + trigUserId +
            ", sendTime=" + sendTime +
            ", title=" + title +
            ", content=" + content +
            ", status=" + status +
        "}";
    }
}
